% Generate sample parameter, compute reduced solution for this parameter
% and check error indicator

function sample_reduced_soln(K,Kr,Qrb,dim_par,fxi,tol_rb)

xi = 2*rand(dim_par,1) - 1;
Kxi   = K{1};
Kr_xi = Kr{1};
for j=1:dim_par,
   Kxi   = Kxi   + K{j+1}*xi(j);
   Kr_xi = Kr_xi + Kr{j+1}*xi(j);
end
u = Qrb*(Kr_xi\(Qrb'*fxi));
rnorm = norm(fxi-Kxi*u);
if rnorm>tol_rb, 
   fprintf('Computed sample reduced solution, error indicator = %d',...
           rnorm);
   fprintf(' > tol_rb of %d\n',tol_rb);
else
   fprintf('Computed sample reduced solution, error indicator = %d, ',...
           rnorm);
   fprintf(' tol_rb = %d\n',tol_rb);
end